【Amplify】Amplify appId mismatch. 解決法

AWS

amplifyのbackend構築のために、以下コマンドを実行しますよね。

$ amplify pull --appId XXXXX --envName staging

これを実行時に以下の結果が返ってきました。

その際の解決法についてまとめました。

Amplify appId mismatch.

appId がmatchしていない。。。

上記コマンドの中のXXXXXの部分ですね。

もともと構成されているbackendと、新たにpullしようとしているbackendが違うものということですね。

でも、私は新たなbackendに変更したいんです。

その場合、appディレクトリ直下のamplifyディレクトリを削除してしまえばOKです!

これで、再度amplify pullをすると、、、新たなbackendを構築できるようになりました!

コメント

タイトルとURLをコピーしました